# Generated from saj_collector-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name saj_collector

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: Pull statistics from SAJ Solar Inverter and push them to PVOutput
License: MIT
URL: https://github.com/jwillemsen/saj_collector
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rubocop) >= 1.18.2
# BuildRequires: rubygem(rubocop) < 1.19
# BuildRequires: rubygem(rubocop-rspec)
BuildArch: noarch

%description
Pull statistics from SAJ Solar Inverter and push them to PVOutput.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/saj_collector
%{_bindir}/saj_output_collector
%{gem_instdir}/.github
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/saj_collector.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.1.0-1
- Initial package
